// Sidebar Nav Active
!function ($) {
    demo_fu1 = function () {
        $sidebarNavList = $('.sidebar-nav>li');
        $subNavBlock = $('.sub-nav-block');
        $subNavBlockList = $('.sub-nav-block-list');
        $search = window.location.search.substring(1);
        $pathname = window.location.pathname.substring(1);
        $pathname = $pathname.split("/");
        $pathname = $pathname[$pathname.length-1];
        if($search.indexOf("sidebarNavList")!=-1){
            $search = $search.split("&");
            $searchA = $search[0].split("=")[1];
            $searchB = $search[1].split("=")[1];
            $sidebarNavList.eq($searchA).addClass('active');
            $subNavBlock.eq($searchA).find('li').eq($searchB).addClass('active');
            if($pathname == "categories.shtml") {
                $('.demo1').attr('href','authorized.shtml?sidebarNavList='+$searchA+'&amp;subNavBlockList=2')
            }
        }
    };
}(window.jQuery);



// Local Storage
!function ($) {
    sidebarState = function () {
        window.localStorage.setItem('sidebarState', 1);
    };
}(window.jQuery);